/// <reference types="node" />
import crypto from "crypto";
import * as hash from "./hash";
import * as encryption from "./encryption";
import * as random from "./random";
declare const _default: typeof crypto & {
    hash: typeof hash.hash;
    encrypt: typeof encryption.encrypt;
    decrypt: typeof encryption.decrypt;
    randomString: typeof random.randomString;
    randomNumber: typeof random.randomNumber;
    randomKey: typeof random.randomKey;
    generateKey: (...args: any) => string;
};
export = _default;
